﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace WindowsFormsApplication1
{
    public partial class FCatEntryControl : UserControl
    {
        //read_ini read = new read_ini();
        //write_ini write = new write_ini("C:\\Documents and Settings\\aadirbelli\\Desktop\\configurations.ini");
        OpenFileDialog ofd = new OpenFileDialog();
        string pathname = "";
        public FCatEntryControl()
        {
            InitializeComponent();
        }

        private FCatEntry _fcatEntry;
        public FCatEntry FCatEntry { get { return _fcatEntry; } }

        private FCatEntryList _factEntryList;

        public FCatEntryControl(FCatEntry fcatEntry, FCatEntryList fcatEntryList) : this()
        {
            _fcatEntry = fcatEntry;
            _factEntryList = fcatEntryList;
            tbAliasName.Text = _fcatEntry.Alias;
            tbPathName.Text = _fcatEntry.Path;

            // TODO: _factEntry.AliasChanged += ...
            // TODO: _factEntry.PathChanged += ...
        }

        ~FCatEntryControl()
        {
            // TODO: -=
        }

        /// <summary>
        /// If Button is klicked a Function Catalog can be chosen
        /// The Filename would be writen in a textbox and the INI-File
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void btnSelectFile_Click(object sender, EventArgs e)        
        {
            if (openFileDialog1.ShowDialog() == DialogResult.OK)
            {

                pathname = openFileDialog1.FileName;

                //path = System.IO.Path.GetDirectoryName(ofd.FileName);

                //textBox2.Clear();
                tbPathName.Clear();
                tbPathName.AppendText(pathname);
                //write.IniWriteValue("Parameters", "Fcat_MOST_Pathname", pathname);
            }
        }

        private void btnDelete_Click(object sender, EventArgs e)
        {
            try
            {
                _factEntryList.Delete(_fcatEntry);
            }
            catch (Exception ex)
            {
                MessageBox.Show("Deleting not possible" + ex.ToString());
            }
        }

        private void tbAliasName_Leave(object sender, EventArgs e)
        {
            _fcatEntry.Alias = tbAliasName.Text;
        }

        private void tbPathName_Leave(object sender, EventArgs e)
        {
            _fcatEntry.Path = tbPathName.Text;
        }


        
    }
}
